#ifndef __string_h__
#define __string_h__

#include <stddef.h>

#define strlen(inStr) _strlen(inStr)
extern int   _strlen(const char* inStr);

extern char* strcat(char* s1, const char* s2);

extern char* strcpy(char* outDest, const char* inSrc);
extern char* strncpy(char* outDest, const char* inSrc, size_t inLength);

extern int   strcmp(const char* inStr0, const char* inStr1);
extern int   strncmp(const char* inStr0, const char* inStr1, size_t inLength);

extern void* memcpy(void* outDest, const void* inSrc, size_t inLength);
extern void* memmove(void* outDest, const void* inSrc, size_t inLength);
extern void* memset(void* outDest, int inValue, size_t inLength);
extern int   memcmp(const void* s1, const void* s2, size_t n);
extern void* memchr(const void* s, int c, size_t n);

#endif
