#ifndef __timer_h__
#define __timer_h__

#include <stdbool.h>
#include <stdint.h>

typedef struct {
	uint32_t start;
	uint32_t last;
} timer;

#define timer_resolution 1000000

extern timer*   a320_timer_create();
extern void     a320_timer_delete(timer* inTimer);
extern uint32_t a320_timer_delta(timer* inTimer);
extern uint32_t a320_timer_total(timer* inTimer);

#endif
